Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001521 [Piwigo] other trivial have not tried 2010.03.19 18:41 2010.07.26 00:49
Reporter Gotcha View Status public  
Assigned To laurent_duretz
Priority normal Resolution fixed Platform Windows
Status closed   OS Seven RC
Projection none   OS Version 7100
ETA none Fixed in Version 2.1.2 Product Version
  Target Version 2.1.0RC2 Product Build
Summary 0001521: Add LinkRoot plugin to Piwigo CORE
Description Can we add LinkRoot plugin into Piwigo CORE ?
Steps To Reproduce
Additional Information http://fr.piwigo.org/forum/viewtopic.php?id=17301 [^]
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
has duplicate 0001673closedlaurent_duretz Add LinkRoot in all the pages of the gallery. 

-  Notes
(0003593)
svn (reporter)
2010.03.22 12:09

[Subversion] r5254 by laurent.duretz on branch 2.0

-----[Subversion commit log]----------------------------------------------------
Issue 1521 : Integration of LinkRoot plugin in Piwigo core
(0003594)
laurent_duretz (developer)
2010.03.22 12:12

Link added on category pages
(0003596)
rvelices (developer)
2010.03.22 12:51

Peux-tu utiliser la fonction get_root_url() a la place de PHPWG_ROOT_PATH ?
Sinon ca ne marche pas avec l'option conf['question_mark_in_url']=false
merci
(0003597)
laurent_duretz (developer)
2010.03.22 14:24

get_root_url() me remonte une url complete, je préfère utiliser get_absolute_root_url()
(0003598)
laurent_duretz (developer)
2010.03.22 14:41

Après réflexion, je ne vois pas à quoi cela sert car l'un comme l'autre remonte un lien vers http://mon.site/ma.gallerrie [^] sans aucun marqueur
(0003642)
svn (reporter)
2010.03.29 10:02

[Subversion] r5441 by laurent.duretz on trunk

-----[Subversion commit log]----------------------------------------------------
Issue 1521 : Integration of LinkRoot plugin in Piwigo core
(0003648)
rvelices (developer)
2010.03.29 17:45
edited on: 2010.03.29 17:46

J'ai cet url sur mon site qui ne marchera pas avec ton commit
http://www.modusoptimus.com/pwg/index/category/themes/animals/mammals [^]

en effet ROOT_PATH sera toujours "." mais root url sera bien qq chose comme "../../.."

(0003649)
svn (reporter)
2010.03.29 19:05

[Subversion] r5451 by laurent.duretz on trunk

-----[Subversion commit log]----------------------------------------------------
Issue 1521 : picture.tpl updated to avoid double home link, picture.php updated because tpl update, functions_html.inc.php updated to work with question_mark_in_urls = false
(0003650)
laurent_duretz (developer)
2010.03.29 20:10

Modifications impacts date navigation
(0003652)
svn (reporter)
2010.03.30 10:30

[Subversion] r5469 by laurent.duretz on trunk

-----[Subversion commit log]----------------------------------------------------
Issue 1521 : get_absolute_root_url() missing in section_init.inc.php
(0003653)
svn (reporter)
2010.03.30 10:51

[Subversion] r5470 by laurent.duretz on trunk

-----[Subversion commit log]----------------------------------------------------
Issue 1521 : Adding explanations
(0003693)
svn (reporter)
2010.04.05 01:11

[Subversion] r5660 by rub on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1521 : Integration of LinkRoot plugin in Piwigo core

Add link root in the integrated plugins on core
(0003782)
svn (reporter)
2010.04.18 11:11

[Subversion] r5917 by laurent.duretz on trunk

-----[Subversion commit log]----------------------------------------------------
Issue 1521 : correction for admin pages
(0003784)
svn (reporter)
2010.04.20 09:06

[Subversion] r5924 by laurent.duretz on trunk

-----[Subversion commit log]----------------------------------------------------
Issue 1521 : correction of separator problem
(0003790)
svn (reporter)
2010.04.22 15:11

[Subversion] r5938 by laurent.duretz on branch 2.0

-----[Subversion commit log]----------------------------------------------------
Issue 1521 : report trunk on branch 2.0
(0003868)
rvelices (developer)
2010.05.21 19:39

Un petit souci - peut etre ...
http://fr.piwigo.org/forum/viewtopic.php?id=17768 [^]
(0003873)
laurent_duretz (developer)
2010.05.22 10:59

Ce n'est pas un bug. LinkRoot ne concerne pas ces pages
(0003928)
svn (reporter)
2010.05.26 10:42

[Subversion] r6368 by laurent.duretz on branch 2.1

-----[Subversion commit log]----------------------------------------------------
Issue 1521 : add linkroot to spacial pages
(0003929)
laurent_duretz (developer)
2010.05.26 10:44

LinkRoot must be added to special pages

- Issue History
Date Modified Username Field Change
2010.03.19 18:41 Gotcha New Issue
2010.03.19 18:41 Gotcha browser => any
2010.03.19 18:41 Gotcha Web server => Apache 1.3.x
2010.03.19 19:04 laurent_duretz Status new => assigned
2010.03.19 19:04 laurent_duretz Assigned To => laurent_duretz
2010.03.22 12:09 svn Checkin
2010.03.22 12:09 svn Note Added: 0003593
2010.03.22 12:11 laurent_duretz Fixed in Version => 2.0.9
2010.03.22 12:12 laurent_duretz Note Added: 0003594
2010.03.22 12:12 laurent_duretz Status assigned => resolved
2010.03.22 12:12 laurent_duretz Resolution open => fixed
2010.03.22 12:12 laurent_duretz Issue Monitored: laurent_duretz
2010.03.22 12:51 rvelices Note Added: 0003596
2010.03.22 12:51 rvelices Status resolved => feedback
2010.03.22 12:51 rvelices Resolution fixed => reopened
2010.03.22 14:24 laurent_duretz Note Added: 0003597
2010.03.22 14:41 laurent_duretz Note Added: 0003598
2010.03.22 14:42 laurent_duretz Status feedback => resolved
2010.03.22 14:42 laurent_duretz Resolution reopened => fixed
2010.03.29 10:02 svn Checkin
2010.03.29 10:02 svn Note Added: 0003642
2010.03.29 17:45 rvelices Note Added: 0003648
2010.03.29 17:45 rvelices Status resolved => feedback
2010.03.29 17:45 rvelices Resolution fixed => reopened
2010.03.29 17:45 rvelices Note Edited: 0003648
2010.03.29 17:46 rvelices Note Edited: 0003648
2010.03.29 19:05 svn Checkin
2010.03.29 19:05 svn Note Added: 0003649
2010.03.29 19:06 laurent_duretz Status feedback => resolved
2010.03.29 19:06 laurent_duretz Fixed in Version 2.0.9 => 2.1.0RC2
2010.03.29 19:06 laurent_duretz Resolution reopened => fixed
2010.03.29 20:10 laurent_duretz Note Added: 0003650
2010.03.29 20:10 laurent_duretz Status resolved => feedback
2010.03.29 20:10 laurent_duretz Resolution fixed => reopened
2010.03.30 10:30 svn Checkin
2010.03.30 10:30 svn Note Added: 0003652
2010.03.30 10:31 laurent_duretz Status feedback => resolved
2010.03.30 10:31 laurent_duretz Resolution reopened => fixed
2010.03.30 10:51 svn Checkin
2010.03.30 10:51 svn Note Added: 0003653
2010.04.05 01:11 svn Checkin
2010.04.05 01:11 svn Note Added: 0003693
2010.04.14 17:02 plg Status resolved => closed
2010.04.14 17:02 plg Target Version => 2.1.0RC2
2010.04.18 11:11 svn Checkin
2010.04.18 11:11 svn Note Added: 0003782
2010.04.20 09:06 svn Checkin
2010.04.20 09:06 svn Note Added: 0003784
2010.04.22 15:11 svn Checkin
2010.04.22 15:11 svn Note Added: 0003790
2010.05.21 19:39 rvelices Note Added: 0003868
2010.05.21 19:39 rvelices Status closed => feedback
2010.05.21 19:39 rvelices Resolution fixed => reopened
2010.05.22 10:59 laurent_duretz Note Added: 0003873
2010.05.22 10:59 laurent_duretz Status feedback => closed
2010.05.22 10:59 laurent_duretz Resolution reopened => fixed
2010.05.22 10:59 laurent_duretz Fixed in Version 2.1.0RC2 => 2.1.0
2010.05.26 10:42 svn Checkin
2010.05.26 10:42 svn Note Added: 0003928
2010.05.26 10:44 laurent_duretz Note Added: 0003929
2010.05.26 10:44 laurent_duretz Status closed => feedback
2010.05.26 10:44 laurent_duretz Resolution fixed => reopened
2010.05.26 10:45 laurent_duretz Status feedback => resolved
2010.05.26 10:45 laurent_duretz Fixed in Version 2.1.0 => 2.1.2
2010.05.26 10:45 laurent_duretz Resolution reopened => fixed
2010.06.01 15:38 laurent_duretz Relationship added has duplicate 0001673
2010.07.26 00:49 plg Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker